%define name    siege
%define version 2.60
%define release 1.te

Summary:	A HTTP regression testing/benchmarking utility
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL v2
Group:		Networking/Utilities
Packager:	Troy Engel <tengel@sonic.net>
Source:		ftp://sid.joedog.org/pub/siege/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-norc.patch
URL:		http://www.joedog.org/siege/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel

%description
Siege is a regression test and benchmark utility. It can stress test a
single URL with a user defined number of simulated users, or it can
read many URLs into memory and stress them simultaneously. The program
reports the total number of hits recorded, bytes transferred, response
time, concurrency, and return status. Siege supports HTTP/1.0 and 1.1
protocols, GET and POST directives, cookies, transaction logging, and
basic authentication. Its features are configurable on a per user
basis.

%prep
%setup -q
%patch0 -p1

%build
%configure --with-ssl
%{__make}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING KNOWNBUGS MACHINES NEWS README README.https
%doc doc/siegerc doc/urls.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Nov 17 2004 Troy Engel <tengel@sonic.net>
- update to 2.60
- update patch

* Sun Feb 01 2004 Troy Engel <tengel@sonic.net>
- converted PLD 2.53 SRPM
- update to 2.59
- removed DESTDIR and am patches, autconf, etc - no longer needed
- created new doc/Makefile.in patch to stop installing siegerc/urls.txt,
  moving files to DOCDIR

